org.apache.maven.plugins.shade

## Class DefaultShader

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.apache.maven.plugins.shade.DefaultShader

All Implemented Interfaces:
  Shader, org.codehaus.plexus.logging.LogEnabled

    @Component(role=Shader.class,
               hint="default")
    public class DefaultShader
    extends org.codehaus.plexus.logging.AbstractLogEnabled
    implements Shader

Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.apache.maven.plugins.shade.Shader

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultShader()`

### Method Summary

Methods
`void` `shade(Set<File> jars, File uberJar, List<Filter> filters, List<Relocator> relocators, List<ResourceTransformer> resourceTransformers)` Perform a shading operation.

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultShader

    public DefaultShader()

### Method Detail

#### shade

    public void shade(Set<File> jars,
             File uberJar,
             List<Filter> filters,
             List<Relocator> relocators,
             List<ResourceTransformer> resourceTransformers)
               throws IOException,
                      org.apache.maven.plugin.MojoExecutionException

Description copied from interface: `Shader`
Perform a shading operation.

Specified by:
  `shade` in interface `Shader`
Parameters:
  `jars` - which jars
  `uberJar` - output jar
  `filters` - the filters
  `relocators` - the relocators
  `resourceTransformers` - the transformers
Throws:
  `IOException` - for IO errors reading the thing
  `org.apache.maven.plugin.MojoExecutionException` - for anything else that goes wrong.